Download it now!
Bug 92203 - REPORT BUILDER: save icon is not enable in spite of of modify report.
Summary: REPORT BUILDER: save icon is not enable in spite of of modify report.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta3
Hardware: Other Linux (All)
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.2.0 target:5.1.0.2 target:5...
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-06-20 08:15 UTC by sawakaze
Modified: 2016-10-25 19:11 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
visual description of this bug. (111.48 KB, image/png)
2015-06-20 08:15 UTC, sawakaze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2015-06-20 08:15:05 UTC
Created attachment 116674 [details]
visual description of this bug.

Hi.

After modify report on LibreOffice BASE Report builder, Save icon is not enable.
But File > Save button enable.

attachment is visually description of this bug.

OS : Debian Linux Jessie x64
Desktop : MATE
Version: 5.0.0.0.beta3+
Build ID: 6889dd9477e7049a7249e89725244dcc9355fc9c
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-5-0, Time: 2015-06-19_23:27:42
(6/19 daily build)


Regards,
Sawakaze
Comment 1 SAKA 2015-06-20 08:37:10 UTC
I've reproduced this crashing with multiple environments.
- Linux 64bit (Ubuntu 15.04)
- Linux 32bit (debian weesy)
Comment 2 Robert Großkopf 2015-06-20 11:09:57 UTC
Save-button also disabled for Linux-rpm-systems:
Using OpenSUSE 13.2 64bit rpm.
Works with LO 4.4.4.2, fails with LO 5.0.0.0beta3
Comment 3 Maxim Monastirsky 2015-12-22 19:34:52 UTC
Fix for 5-0 is in https://gerrit.libreoffice.org/20875/
For master/5-1 we'll probably go with a different approach - https://gerrit.libreoffice.org/20839/
Comment 4 Commit Notification 2016-01-06 15:01:28 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d48370043b3759c79340c162048c5f2b4da394b9&h=libreoffice-5-0

tdf#92203 OReportDefinition should implement XDocumentEventListener interface

It will be available in 5.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.